Name:          jedit
Version:       5.7.0
Release:       1mamba
Summary:       Programmer's Text Editor
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.jedit.org/
Source0:       https://sourceforge.net/projects/jedit/files/jedit/%{version}/jedit-%{version}-noarch-1sao.tgz
Source1:       jedit.desktop
Source2:       jedit-script
Source3:       jedit.props
Source4:       jedit.sh
Source5:       jeditbg.sh
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages

%description
jEdit is a mature programmer's text editor with hundreds (counting the time developing plugins) of person-years of development behind it.

Some of jEdit's features include:
* Written in Java, so it runs on Mac OS X, OS/2, Unix, VMS and Windows.
* Built-in macro language; extensible plugin architecture. Dozens of macros and plugins available.
* Plugins can be downloaded and installed from within jEdit using the "plugin manager" feature.
* Auto indent, and syntax highlighting for more than 130 languages.
* Supports a large number of character encodings including UTF8 and Unicode.
* Folding for selectively hiding regions of text.
* Word wrap.
* Highly configurable and customizable.
* Every other feature, both basic and advanced, you would expect to find in a text editor.
  See the Features page for a full list.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_javadir}
cp -r usr/share/%{name}-%{version} %{buildroot}%{_javadir}/jedit

install -Dm755 %{SOURCE4} %{buildroot}%{_bindir}/jedit
install -Dm755 %{SOURCE5} %{buildroot}%{_bindir}/jeditbg
install -Dm644 %{SOURCE3} %{buildroot}%{_datadir}/jedit/default.props
install -Dm644 usr/share/%{name}-%{version}/doc/jedit.png \
    %{buildroot}%{_datadir}/pixmaps/jedit.png
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/jedit.desktop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%{_bindir}/update-desktop-database -q %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor

%postun
%{_bindir}/update-desktop-database -q %{_datadir}/applications
if [ $1 -eq 0 ]; then
	touch --no-create %{_datadir}/icons/hicolor
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%defattr(-,root,root)
%{_bindir}/jedit
%{_bindir}/jeditbg
%{_datadir}/applications/jedit.desktop
%{_datadir}/pixmaps/jedit.png
%dir %{_datadir}/jedit
%{_datadir}/jedit/default.props
%dir %{_datadir}/java/jedit
%{_datadir}/java/jedit/*
%doc usr/doc/jedit-%{version}/COPYING.* usr/doc/jedit-%{version}/Apache.LICENSE.txt

%changelog
* Tue Aug 06 2024 Automatic Build System <autodist@openmamba.org> 5.7.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- update to 5.6.0

* Fri Jun 25 2010 gil <puntogil@libero.it> 4.3.2-1mamba
- update to 4.3.2

* Tue Mar 09 2010 gil <puntogil@libero.it> 4.3.1-1mamba
- update to 4.3.1

* Tue Jan 05 2010 gil <puntogil@libero.it> 4.3-2mamba
- added %{_datadir}/jedit/jars default plugins directory

* Tue Jan 05 2010 gil <puntogil@libero.it> 4.3-1mamba
- update to 4.3

* Thu Jul 23 2009 gil <puntogil@libero.it> 4.3pre17-2mamba
- rebuilt with system java-bsh2

* Tue Jul 14 2009 gil <puntogil@libero.it> 4.3pre17-1mamba
- package created by autospec
